#
# spec file for package eog-plugins
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           eog-plugins
Version:        3.8.0
Release:        0
#FIXME: add postr BuildRequires when we have a package
Summary:        A collection of plugins for Eye of GNOME
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Url:            http://live.gnome.org/EyeOfGnome/Plugins
Source:         http://download.gnome.org/sources/eog-plugins/3.8/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(champlain-gtk-0.12) >= 0.9.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.1.2
BuildRequires:  pkgconfig(eog) >= 3.5.5
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.3.8
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libgdata)
BuildRequires:  pkgconfig(libpeas-1.0)
Recommends:     %{name}-lang
Requires:       eog
Enhances:       eog
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
This package contains plugins for additional features in Eye of GNOME.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
        --with-plugins=all \
        --enable-python
make %{?_smp_mflags} V=1

%install
%makeinstall
%find_lang %{name}
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}/%{_libdir}/eog/plugins

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%{_libdir}/eog/plugins/*.py*
%{_libdir}/eog/plugins/*.so
%{_libdir}/eog/plugins/pythonconsole/
# Explicit list of plugins
%{_libdir}/eog/plugins/exif-display.plugin
%{_libdir}/eog/plugins/export-to-folder.plugin
%{_libdir}/eog/plugins/fit-to-width.plugin
%{_libdir}/eog/plugins/fullscreenbg.plugin
%{_libdir}/eog/plugins/hide-titlebar.plugin
%{_libdir}/eog/plugins/light-theme.plugin
%{_libdir}/eog/plugins/map.plugin
%{_libdir}/eog/plugins/postasa.plugin
%{_libdir}/eog/plugins/pythonconsole.plugin
%{_libdir}/eog/plugins/send-by-mail.plugin
%{_libdir}/eog/plugins/slideshowshuffle.plugin
%dir %{_datadir}/eog/plugins
%{_datadir}/eog/plugins/export-to-folder/
%{_datadir}/eog/plugins/fullscreenbg/
%{_datadir}/eog/plugins/pythonconsole/
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.export-to-folder.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.fullscreenbg.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.pythonconsole.gschema.xml

%files lang -f %{name}.lang

%changelog
